org.modeshape.jcr.api.version

## Interface VersionManager

- All Superinterfaces:
    VersionManager

      public interface VersionManager
      extends VersionManager

  ModeShape's extension of `VersionManager`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `remove(String absPath)` Removes the versionable node at `absPath` together will all the version histories of each versionable node in the subgraph, provided that only the root version exists for each versionable node and each versionable node is not shared.

    - ### Methods inherited from interface javax.jcr.version.VersionManager

      `cancelMerge, checkin, checkout, checkpoint, createActivity, createConfiguration, doneMerge, getActivity, getBaseVersion, getVersionHistory, isCheckedOut, merge, merge, merge, removeActivity, restore, restore, restore, restore, restoreByLabel, setActivity`

- - ### Method Detail

    - #### remove

          void remove(String absPath)
                      throws UnsupportedRepositoryOperationException,
                             PathNotFoundException,
                             RepositoryException

      Removes the versionable node at `absPath` together will all the version histories of each versionable node in the subgraph, provided that only the root version exists for each versionable node and each versionable node is not shared.
      This method should only be used when wanting to clean up the version histories of versionable nodes and when there is no desire to ever restore the versionable node at any time in the future.
      This is a workspace-write method, meaning there is no need to call `session.save()` in order to persist the changes.
      Parameters:
        `absPath` - a `String` the absolute path to a versionable node; never `null`
      Throws:
        `PathNotFoundException` - if no node exists at `absPath`
        `UnsupportedRepositoryOperationException` - if the given node is not `mix:versionable` or any versionable node in the hierarchy has a non-empty version history or any versionable node in the hierarchy is a shared node.
        `RepositoryException` - if anything unexpected fails while performing the operation

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.